System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Xml.Serialization.XmlRoot("dynamicDiscovery", Namespace="urn:schemas-dynamicdiscovery:disco.2000-03-17", IsNullable=true)

The class is employed by the class's method, which handles an HTTP request for a discovery document. The request specifies another document, an XML dynamic discovery document containing a list of directories to exclude. The list corresponds to the class's property and contains directories at or below the directory containing the XML document.

Normally, none of these classes need to be used directly by a developer.

Represents an XML document that specifies a list of file system directory paths that should not be searched for references to add to a Web services discovery document.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.Services.Discovery.ExcludePathInfo[] To be added: an object of type 'ExcludePathInfo []'

  The exclude paths are serialized to an XML dynamic discovery document.

  Gets or sets the file-system directory paths that should not be searched for references to add to a discovery document.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlElement("exclude", typeof(System.Web.Services.Discovery.ExcludePathInfo))
- Method
  System.Web.Services.Discovery.DynamicDiscoveryDocument ``

  This static method takes an XML document, represented as a , and converts in to a .

  Deserializes an XML document into a instance.

  The that was loaded.

  A object from which the XML dynamic discovery document is deserialized. 1.0.5000.0 2.0.0.0
- Field
  System.String To be added

  Contains the dynamic discovery document namespace "urn:schemas-dynamicdiscovery:disco.2000-03-17". This field is constant.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Serializes a instance into an XML document specified as an output stream.

  A object to which the XML dynamic discovery document is serialized. 1.0.5000.0 2.0.0.0